﻿Imports System
Imports System.Collections.Generic
Imports System.Collections.ObjectModel
Imports System.Diagnostics
Imports System.Linq
Imports System.Text
Imports System.Threading

Namespace ZugriffAusAccess
    Public Class ZugriffAusAccess
        Public Property Status As Integer
        Public Property parameter As String
        Public Property form As Form1

        Public Sub oeffneFormular(ByVal PrameterSemikolonSepariert As String)
            Status = 1
            Dim form As Form1 = New Form1()
            form.parameter = PrameterSemikolonSepariert

            If form.parameter = "" Then
                form.parameter = parameter
            End If

            form.ShowDialog()
            Status = form.FormularStatus
            parameter = form.parameter
        End Sub

        Public Sub oeffneFormularNichtModal(ByVal PrameterSemikolonSepariert As String)
            Status = 1
            form = New Form1()
            form.parameter = PrameterSemikolonSepariert

            If form.parameter = "" Then
                form.parameter = parameter
            End If

            form.Show()
            Status = form.FormularStatus
            parameter = form.parameter
        End Sub

        Public Function GetSTatus() As Integer
            Return Status
        End Function

        Public Function GetSTatusNichtModal() As Integer
            Try
                Status = form.FormularStatus
            Catch __unusedException1__ As Exception
            End Try

            Return Status
        End Function

        Public Function FormIsOpen() As Boolean

            If form Is Nothing Then
                Return False
            End If
            Return True
        End Function

        Public Function GetParameterNichtModal() As String
            Try
                parameter = form.parameter
            Catch __unusedException1__ As Exception
            End Try

            Return parameter
        End Function

        Public Function GetErgebnisString(ByVal zahl1 As Integer, ByVal zahl2 As Integer) As String
            Return (zahl1 + zahl2).ToString()
        End Function

        Public Function GetErgebnisInt(ByVal zahl1 As Integer, ByVal zahl2 As Integer) As Integer
            Return (zahl1 + zahl2)
        End Function

        Public Function GetGehalt(ByVal gehalt As Decimal, ByVal geburtstag As DateTime, ByVal RentenAlter As Integer, ByVal Gehaltssteigerung As Decimal) As Decimal
            Dim rente As Decimal = 0

            Try
                Dim lMonateNoch As Integer = RentenAlter * 12

                If lMonateNoch = 0 Then
                    Return 0
                End If

                Dim jetzt As DateTime = DateTime.Now
                Dim list As List(Of Decimal) = New List(Of Decimal)()
                Dim liste2 As Collection(Of Decimal) = New Collection(Of Decimal)()
                Dim aktuelleMonate As Integer = (geburtstag.Month - jetzt.Month) + 12 * (geburtstag.Year - jetzt.Year)
                lMonateNoch = lMonateNoch - aktuelleMonate

                For i As Integer = 1 To lMonateNoch - 1

                    If i Mod 12 = 0 Then
                        gehalt = gehalt + gehalt * Gehaltssteigerung
                    End If

                    If RentenAlter > 50000 Then
                        liste2.Add(gehalt)
                    Else
                        list.Add(gehalt)
                    End If
                Next

                If RentenAlter > 50000 Then
                    rente = liste2.Sum()
                Else

                    For Each d As Decimal In list
                        rente = rente + d
                    Next
                End If

            Catch __unusedException1__ As Exception
                Throw
            Finally
            End Try

            Return rente
        End Function

        Public Sub macheEtwasDirektMitDemAccessObjekt(ByRef Database As Microsoft.Office.Interop.Access.Dao.Database)
            Dim rst As Microsoft.Office.Interop.Access.Dao.Recordset = Database.OpenRecordset("SELECT * FROM Ergebnis", Microsoft.Office.Interop.Access.Dao.RecordsetTypeEnum.dbOpenDynaset)
            rst.AddNew()
            rst.Fields("ErgebnisText").Value = "Direkter Zugriff" & DateTime.Now.ToString
            rst.Fields("Ergebnisfuer").Value = "Automatik"
            rst.Update()
            rst.Close()
        End Sub

    End Class
End Namespace
