﻿Imports System
Imports System.Collections
Imports System.Collections.Generic
Imports System.Collections.ObjectModel
Imports System.ComponentModel
Imports System.Data.OleDb
Imports System.Diagnostics
Imports System.Linq
Imports System.Text
Imports System.Timers
Imports Microsoft.Office.Interop.Access
Imports Microsoft.Office.Interop.Access.Dao

Namespace ZugriffAufAccess
    Friend Class Program
        Private Shared Connectionstring As String = "C:\Entwicklung\AEK\Access_Interop_DotNet\MeineDatenbank.accdb"

        Public Shared Sub Main(ByVal args As String())
            Dim NettoZeit As String = ""
            Dim timer As Stopwatch = New Stopwatch()
            timer.Reset()
            timer.Start()
            NettoZeit = ErmittelGehaltBisZurRente(5000000, 0)
            timer.[Stop]()
            Console.WriteLine(" ")
            Console.WriteLine(" Ohne Array 5000000 - Netto:{0}   - Brutto: {1}", NettoZeit, timer.Elapsed.TotalSeconds.ToString("0.000000"))
            Console.WriteLine(" ")
            Console.WriteLine(" ")
            Console.WriteLine(" ")
            timer.Reset()
            timer.Start()
            NettoZeit = ErmittelGehaltBisZurRenteAlsArray(5000, 0)
            timer.[Stop]()
            Console.WriteLine(" ")
            Console.WriteLine(" Mit Array  5000 - Netto:{0}   - Brutto: {1}", NettoZeit, timer.Elapsed.TotalSeconds.ToString("0.000000"))
            Console.WriteLine(" ")
            Console.WriteLine(" ")
            Console.WriteLine(" ")
            timer.Reset()
            timer.Start()
            NettoZeit = ErmittelGehaltBisZurRenteAlsArray(50000, 0)
            timer.[Stop]()
            Console.WriteLine(" ")
            Console.WriteLine(" Mit Array  50000- Netto:{0}   - Brutto: {1}", NettoZeit, timer.Elapsed.TotalSeconds.ToString("0.000000"))
            Console.WriteLine(" ")
            Console.WriteLine(" ")
            Console.WriteLine(" ")
            timer.Reset()
            timer.Start()
            NettoZeit = ErmittelGehaltBisZurRenteAlsArray(500000, 0)
            timer.[Stop]()
            Console.WriteLine(" ")
            Console.WriteLine(" Mit Array  500000 - Netto:{0}   - Brutto: {1}", NettoZeit, timer.Elapsed.TotalSeconds.ToString("0.000000"))
            Console.WriteLine(" ")
            Console.ReadKey()
        End Sub

        Public Shared Function ErmittelGehaltBisZurRente(ByVal RentenAlter As Integer, ByVal Gehaltssteigerung As Decimal) As String
            Dim returnvalue As String = ""

            Try
                Dim accApp = New Microsoft.Office.Interop.Access.Application()
                accApp.OpenCurrentDatabase(Connectionstring)
                Dim cdb As Microsoft.Office.Interop.Access.Dao.Database = accApp.CurrentDb()
                Dim timer As Stopwatch = New Stopwatch()
                timer.Reset()
                timer.Start()
                Dim summefox As Decimal = 0
                Dim rst As Microsoft.Office.Interop.Access.Dao.Recordset = cdb.OpenRecordset("SELECT * FROM Kunden", Microsoft.Office.Interop.Access.Dao.RecordsetTypeEnum.dbOpenSnapshot)
                Dim Ergebnis As Microsoft.Office.Interop.Access.Dao.Recordset = cdb.OpenRecordset("SELECT * FROM Ergebnis", Microsoft.Office.Interop.Access.Dao.RecordsetTypeEnum.dbOpenDynaset)

                While Not rst.EOF
                    Dim rente As Decimal = 0
                    Dim gehalt As Decimal = 0
                    Dim lMonateNoch As Integer = RentenAlter * 12
                    gehalt = rst.Fields("Gehalt").Value
                    Dim geburtstag As DateTime = rst.Fields("Geburtsdatum").Value
                    Dim jetzt As DateTime = DateTime.Now
                    Dim aktuelleMonate As Integer = (geburtstag.Month - jetzt.Month) + 12 * (geburtstag.Year - jetzt.Year)
                    lMonateNoch = lMonateNoch + aktuelleMonate

                    For i As Integer = 1 To lMonateNoch - 1

                        If i Mod 12 = 0 Then
                            gehalt = gehalt + gehalt * Gehaltssteigerung
                        End If

                        rente = rente + gehalt
                    Next

                    Ergebnis.AddNew()
                    Ergebnis.Fields("ErgebnisFuer").Value = rst.Fields("Vorname").Value & " " + rst.Fields("Nachname").Value
                    Ergebnis.Fields("ErgebnisZahl").Value = rente
                    Ergebnis.Update()
                    Ergebnis.MoveNext()
                    Console.WriteLine("{0} {1} bekommt eine Rente i.H.v. {2}", rst.Fields("Vorname").Value, rst.Fields("Nachname").Value, rente)

                    If rst.Fields("Nachname").Value Is "Fox" Then
                        summefox = summefox + rente
                    End If

                    rst.MoveNext()
                End While

                rst.Close()
                Ergebnis.AddNew()
                Ergebnis.Fields("ErgebnisFuer").Value = "Fox"
                Ergebnis.Fields("ErgebnisZahl").Value = summefox
                Ergebnis.Update()
                Ergebnis.Close()
                Console.WriteLine(" Familie Fox bekommt eine Rente i.H.v. {0}", summefox)
                timer.[Stop]()
                returnvalue = timer.Elapsed.TotalSeconds.ToString("0.000000")
                accApp.CloseCurrentDatabase()
                accApp.Quit()
            Catch __unusedException1__ As Exception
                Throw
            Finally
            End Try

            Return returnvalue
        End Function

        Public Shared Function ErmittelGehaltBisZurRenteAlsArray(ByVal RentenAlter As Integer, ByVal Gehaltssteigerung As Decimal) As String
            Dim returnvalue As String = ""

            Try
                Dim accApp = New Microsoft.Office.Interop.Access.Application()
                accApp.OpenCurrentDatabase(Connectionstring)
                Dim cdb As Microsoft.Office.Interop.Access.Dao.Database = accApp.CurrentDb()
                Dim timer As Stopwatch = New Stopwatch()
                timer.Reset()
                timer.Start()
                Dim summefox As Decimal = 0
                Dim rst As Microsoft.Office.Interop.Access.Dao.Recordset = cdb.OpenRecordset("SELECT * FROM Kunden", Microsoft.Office.Interop.Access.Dao.RecordsetTypeEnum.dbOpenSnapshot)
                Dim Ergebnis As Microsoft.Office.Interop.Access.Dao.Recordset = cdb.OpenRecordset("SELECT * FROM Ergebnis", Microsoft.Office.Interop.Access.Dao.RecordsetTypeEnum.dbOpenDynaset)

                While Not rst.EOF
                    Dim rente As Decimal = 0
                    Dim gehalt As Decimal = 0
                    Dim lMonateNoch As Integer = RentenAlter * 12
                    gehalt = rst.Fields("Gehalt").Value
                    Dim geburtstag As DateTime = rst.Fields("Geburtsdatum").Value
                    Dim jetzt As DateTime = DateTime.Now
                    Dim list As List(Of Decimal) = New List(Of Decimal)()
                    Dim liste2 As Collection(Of Decimal) = New Collection(Of Decimal)()
                    Dim aktuelleMonate As Integer = (geburtstag.Month - jetzt.Month) + 12 * (geburtstag.Year - jetzt.Year)
                    lMonateNoch = lMonateNoch - aktuelleMonate

                    For i As Integer = 1 To lMonateNoch - 1

                        If i Mod 12 = 0 Then
                            gehalt = gehalt + gehalt * Gehaltssteigerung
                        End If

                        If RentenAlter > 50000 Then
                            liste2.Add(gehalt)
                        Else
                            list.Add(gehalt)
                        End If
                    Next

                    If RentenAlter > 50000 Then
                        rente = liste2.Sum()
                    Else

                        For Each d As Decimal In list
                            rente = rente + d
                        Next
                    End If

                    Ergebnis.AddNew()
                    Ergebnis.Fields("ErgebnisFuer").Value = rst.Fields("Vorname").Value & " " + rst.Fields("Nachname").Value
                    Ergebnis.Fields("ErgebnisZahl").Value = rente
                    Ergebnis.Update()
                    Ergebnis.MoveNext()

                    If rst.Fields("Nachname").Value Is "Fox" Then
                        summefox = summefox + rente
                    End If

                    Console.WriteLine("{0} {1} bekommt eine Rente i.H.v. {2}", rst.Fields("Vorname").Value, rst.Fields("Nachname").Value, rente)
                    rst.MoveNext()
                End While

                rst.Close()
                Ergebnis.AddNew()
                Ergebnis.Fields("ErgebnisFuer").Value = "Fox"
                Ergebnis.Fields("ErgebnisZahl").Value = summefox
                Ergebnis.Update()
                Ergebnis.Close()
                Console.WriteLine(" Familie Fox bekommt eine Rente i.H.v. {0}", summefox)
                timer.[Stop]()
                returnvalue = timer.Elapsed.TotalSeconds.ToString("0.000000")
                accApp.CloseCurrentDatabase()
                accApp.Quit()
            Catch __unusedException1__ As Exception
                Throw
            Finally
            End Try

            Return returnvalue
        End Function
    End Class
End Namespace
